$small: 400px;
$medium: 600px;
$large: 900px;

:root {
  --background: rgba(224, 224, 224, 0.877);
  --text-primary: #362d2d;
  --text-reverse: #fdddbf;
  --text-error: rgb(255, 111, 111);

  --background-1: #fdddbf;
  --background-2: #494040;
  --background-3: #e2ccc5;

  --border: #494040;
  --button-hover: #928888;
}

[data-theme="dark"] {
  --background: rgb(77, 77, 77);
  --text-primary: #fdddbf;
  --text-reverse: #362d2d;
  --text-error: rgb(255, 111, 111);

  --background-1: #362d2d;
  --background-2: #c5ab92;
  --background-3: #e2ccc5;

  --border: #ffe5cd;
  --button-hover: #c7bdba;
}

body {
  margin: 0;
  background-color: var(--background);
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans",
    "Droid Sans", "Helvetica Neue", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.app {
  background-color: var(--background);
  padding: 50px 0;
  margin: 0;
  height: 100vh;
}

button {
  cursor: pointer;
  background-color: var(--background-1);
  color: var(--text-primary);
  border: 2px solid var(--background-2);
  text-transform: uppercase;

  &:hover {
    background-color: var(--button-hover);
    color: var(--text-reverse);
  }
}

@import "./styles/Modal.scss";
@import "./styles/Starter.scss";
@import "./styles/Questions.scss";
@import "./styles/Results.scss";
